Delete an agent policy
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agent_policies/delete
-
POST
/s/{space_id}/api/fleet/agent_policies/delete
Auth
Delete an agent policy by ID.
-
Privileges
fleet-agent-policies-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
agentPolicyId
string
required
-
The ID of the agent policy
-
force
boolean
-
bypass validation checks that can prevent agent policy deletion
-
attributes
object
required
Thank you for your feedback.